bm::ptr_guard< T > Class Template Reference

Mini auto-pointer for internal memory management. More...

`#include <bmutil.h>`

## Public Member Functions

| ptr_guard (T *p) BMNOEXCEPT
| ~ptr_guard ()

## Detailed Description

template<class T>
class bm::ptr_guard< T >

Mini auto-pointer for internal memory management.

Definition at line 155 of file bmutil.h.

## Constructor & Destructor Documentation

## ptr_guard()

template<class T>

bm::ptr_guard< T >::ptr_guard | ( | T * | p | ) |

inline

Definition at line 158 of file bmutil.h.

References BMNOEXCEPT.

## ~ptr_guard()

template<class T>

bm::ptr_guard< T >::~ptr_guard | ( |  | ) |

inline

Definition at line 159 of file bmutil.h.

The documentation for this class was generated from the following file:

- bmutil.h